package com.dev.swms.server.model.abstractEntity;
import java.util.Date;
import com.dev.energy.server.model.Entity;
import com.dev.swms.server.model.base.Item;

/**
 * 
 * @author Administrator
 *设变清单 
 */
public class DesignList extends Entity{
	private String designNo;//変通No.11桁
	private String code;//设变号
	private String designOneNo;//一括番号
	private String oldItemCode;//旧品番
	private Item oldItem;//旧品番
	private String releDesign;//关联设变
	private Item newItem;//新品番
	private String newItemCode;//新品番
	private String supplierCode;//供应商代码
	private String supplierName;//変通No.11桁
	private double quantity;//数量/A/C
	private String content;//内容
	private double sepQty;//单用
	private boolean beimportant;//订货要否
	private String institute;//纳所
	private double outputQty;//产量
	private BigItem bigItem;//完成品番
	private String handle;//旧品处理
	private String putDate;//实时日期20200501
	private String createPeople;
	private Date createDate;
	private String jz;//机种
	private String sbtzzy;//设变摘要通知
	private String remark;//备注
	
	
	
	public String getSbtzzy() {
		return sbtzzy;
	}
	public void setSbtzzy(String sbtzzy) {
		this.sbtzzy = sbtzzy;
	}
	public String getJz() {
		return jz;
	}
	public void setJz(String jz) {
		this.jz = jz;
	}
	public String getRemark() {
		return remark;
	}
	public void setRemark(String remark) {
		this.remark = remark;
	}
	public String getOldItemCode() {
		return oldItemCode;
	}
	public void setOldItemCode(String oldItemCode) {
		this.oldItemCode = oldItemCode;
	}
	public String getNewItemCode() {
		return newItemCode;
	}
	public void setNewItemCode(String newItemCode) {
		this.newItemCode = newItemCode;
	}
	public String getDesignNo() {
		return designNo;
	}
	public void setDesignNo(String designNo) {
		this.designNo = designNo;
	}
	public String getCode() {
		return code;
	}
	public void setCode(String code) {
		this.code = code;
	}
	public String getDesignOneNo() {
		return designOneNo;
	}
	public void setDesignOneNo(String designOneNo) {
		this.designOneNo = designOneNo;
	}
	public Item getOldItem() {
		return oldItem;
	}
	public void setOldItem(Item oldItem) {
		this.oldItem = oldItem;
	}
	public String getReleDesign() {
		return releDesign;
	}
	public void setReleDesign(String releDesign) {
		this.releDesign = releDesign;
	}
	public Item getNewItem() {
		return newItem;
	}
	public void setNewItem(Item newItem) {
		this.newItem = newItem;
	}
	public String getSupplierCode() {
		return supplierCode;
	}
	public void setSupplierCode(String supplierCode) {
		this.supplierCode = supplierCode;
	}
	public String getSupplierName() {
		return supplierName;
	}
	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	public double getQuantity() {
		return quantity;
	}
	public void setQuantity(double quantity) {
		this.quantity = quantity;
	}
	public String getContent() {
		return content;
	}
	public void setContent(String content) {
		this.content = content;
	}
	public double getSepQty() {
		return sepQty;
	}
	public void setSepQty(double sepQty) {
		this.sepQty = sepQty;
	}
	public boolean isBeimportant() {
		return beimportant;
	}
	public void setBeimportant(boolean beimportant) {
		this.beimportant = beimportant;
	}
	public String getInstitute() {
		return institute;
	}
	public void setInstitute(String institute) {
		this.institute = institute;
	}
	public double getOutputQty() {
		return outputQty;
	}
	public void setOutputQty(double outputQty) {
		this.outputQty = outputQty;
	}
	public BigItem getBigItem() {
		return bigItem;
	}
	public void setBigItem(BigItem bigItem) {
		this.bigItem = bigItem;
	}
	public String getHandle() {
		return handle;
	}
	public void setHandle(String handle) {
		this.handle = handle;
	}
	public String getPutDate() {
		return putDate;
	}
	public void setPutDate(String putDate) {
		this.putDate = putDate;
	}
	public String getCreatePeople() {
		return createPeople;
	}
	public void setCreatePeople(String createPeople) {
		this.createPeople = createPeople;
	}
	public Date getCreateDate() {
		return createDate;
	}
	public void setCreateDate(Date createDate) {
		this.createDate = createDate;
	}
	
	
}
